##                      _           _     _
##   ___  _ __  ___  __| |_ __ ___ (_) __| |
##  / _ \| "_ \/ __|/ _` | "__/ _ \| |/ _` |
## | (_) | |_) \__ \ (_| | | | (_) | | (_| |
##  \___/| .__/|___/\__,_|_|  \___/|_|\__,_|
##       |_|
##                   __ _
##   ___ ___  _ __  / _(_) __ _
##  / __/ _ \| "_ \| |_| |/ _` |
## | (_| (_) | | | |  _| | (_| |
##  \___\___/|_| |_|_| |_|\__, |
##                        |___/
##
## The default config file for Owncast to Matrix.

## Bot Webhook for Owncast
## http://YOUR_IP:8080/skill/owncast-matrix/message

welcome-message: false

web:
  base-url: https://{{ owncast_bot_url }}
  host: "0.0.0.0"
  port: {{ owncast_bot_port }}

logging:
  level: debug
  # timestamp: true

connectors:
  matrix:
    mxid: "{{ owncast_bot_matrix_mxid }}"
    password: "{{ owncast_bot_matrix_password }}"
    rooms:
      "main": "{{ owncast_bot_matrix_rooms_main }}"
    homeserver: "{{ owncast_bot_matrix_homeserver }}"
    nick: "{{ owncast_bot_matrix_nick }}"
    enable_encryption: {{ owncast_bot_matrix_enable_encryption }}
    device_name: "{{ owncast_bot_matrix_devicename }}"
    device_id: "{{ owncast_bot_matrix_deviceid }}"
    store_path: "{{ owncast_bot_matrix_storepath }}"

skills:
  owncast-matrix:
    no-cache: true
    no-deps: false
    path: /home/opsdroid/.config/opsdroid/Skill/
    server_address: "{{ owncast_bot_skills_serveraddress }}"
    auth_token: "{{ owncast_bot_skills_authtoken }}"
